Bug 864567

Summary: display garbled in KVM VMs on opening windows
Product: [Fedora] Fedora Reporter: Amit Shah <amit.shah>
Component: xorg-x11-drv-cirrusAssignee: X/OpenGL Maintenance List <xgl-maint>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 18CC: crobinso, fmuellner, gsgatlin, maxamillion, otaylor, pbonzini, samkraju, spartacus06, todoleza, twaugh, walters, xgl-maint
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-12-17 13:02:58 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
screenshot showing garbled display none

Description Amit Shah 2012-10-09 11:24:05 EDT
Created attachment 624152 [details]
screenshot showing garbled display

Description of problem:

I booted a nightly live cd of the F18 build in a qemu-kvm VM.  Any windows shown are garbled with the default video adapter (cirrus).

Once the login is succesful, the desktop shows up fine, but as soon as the first screen comes up (presumably the one that asks to start installation from the live cd), the display is garbled.  Screenshot attached.

Command line:

qemu-kvm -m 1G -enable-kvm -boot d -cdrom ~/images/Fedora-18-Nightly-20121008.08-x86_64-Live-desktop.iso -smp 2 -usb

this is on a F16 host, using qemu-kvm-0.15.1-7.fc16.x86_64, but upstream qemu.git too produces the same results.
Comment 1 Amit Shah 2012-10-11 02:41:16 EDT
This doesn't happen when -vga qxl is appended to the qemu command line, so it's specific to the cirrus emulation.
Comment 2 Gary Gatling 2012-11-14 10:02:45 EST
I am seeing this bug as well with f18 beta TC8 and I saw it in f8 beta TC6 after I did a yum update and rebooted. But not right after install in f18 beta TC6 if that makes sense. Running in KVM on CentOS 6 as host. Just did a TC8 install and the visual bug is still present with garbled display, even after a yum update.
Comment 3 Paolo Bonzini 2012-11-28 08:29:30 EST
Assigning to Xorg driver for now.
Comment 4 Cole Robinson 2012-11-29 10:45:13 EST
*** Bug 871247 has been marked as a duplicate of this bug. ***
Comment 5 Cole Robinson 2013-12-17 13:02:58 EST
Yeah cirrus with F18 vms is quite flakey, but F19+ don't have these issues AFAICT. F18 is end-of-life in a month though, so this is unlikely to be fixed there. Closing as WONTFIX, please reopen if problems persist with newer fedora